import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/profile_entity.dart';

abstract class ProfileRepository {
  Future<DataState<ProfileEntity>> getProfile();
  Future<DataState<String>> updateProfile(ProfileParams params);
}
